Ticket #3136 (closed enhancement: fixed)

Opened 8 years ago

Last modified 8 years ago

トピック・イベント管理でイベント特有の項目を追加

Reported by: pnetan Assigned to: kiwa
Priority: minor Milestone: OpenPNE2.13.6
Component: 指定しない Version:
Keywords: 2.13要望 Cc:

Description (Last modified by kiwa)

■概要

管理画面のトピック・イベント管理(admin_page_topic_list)にて、イベントだった場合に「開催日時」などイベント特有の項目も表示できるようにしたい。

■仕様

イベントの場合に下記の項目を表示する。

  • 開催日時
  • 開催場所
  • 募集期限
  • 募集人数
  • 参加者(イベント参加者一覧(c_event_member_list)へリンク)

■関連情報

元のDescription

http://sns.openpne.jp/?m=pc&a=page_fh_diary&target_c_diary_id=19469より転記

OpenPNE2.12で、トピックでもイベントでも、
・ID
・トピック名
・PNEコミュニティ名
・トピック作成者
・作成日
・トピック本文
の項目が表示されると認識しています。


イベントの場合、下記★の項目も追加を検討してほしい。
特に開催場所。
・ID
・トピック名
・PNEコミュニティ名
★開催場所
・トピック作成者
・作成日
・トピック本文
★募集期限
★募集人数
★参加者


理由は、監視業務で不穏なリアル集会などを発見する為に必要な為です。

Attachments

trunk.patch (3.0 kB) - added by ruikubo on 02/15/09 21:10:12.
2系trunk版のパッチを作成したので添付します
topic_list.PNG (85.4 kB) - added by ruikubo on 02/15/09 21:10:32.
画面キャプチャ
trunk_delete_topic.patch (2.3 kB) - added by ruikubo on 02/24/09 18:18:21.
トピック削除確認画面(#comment5)でイベント固有の項目を表示

Change History

02/15/09 21:10:12 changed by ruikubo

  • attachment trunk.patch added.

2系trunk版のパッチを作成したので添付します

02/15/09 21:10:32 changed by ruikubo

  • attachment topic_list.PNG added.

画面キャプチャ

02/15/09 21:11:50 changed by ruikubo

パッチの補足

管理画面のトピック・イベント管理で、
イベントの下記項目の表示を追加しました。

  • 開催日時
  • 開催場所
  • 募集期限
  • 募集人数
  • 参加者(イベント参加者一覧(c_event_member_list)へリンク)

02/16/09 10:18:47 changed by kiwa

  • milestone set to OpenPNE2.13.6.

ありがとうございます、2.13に取り込みます!

02/17/09 20:33:32 changed by kiwa

  • owner changed from nobody to kiwa.
  • status changed from new to assigned.

取り込みやります。

02/17/09 20:43:07 changed by kiwa

  • keywords changed from 2.13要望 to 2.13要望 確認中.
  • description changed.
  • summary changed from 管理画面のトピック・イベント管理でイベントの場合、開催場所とかも表示してほしい to トピック・イベント管理でイベント特有の項目を追加.

r10789 にて取り込みました。

(follow-up: ↓ 6 ) 02/24/09 15:21:45 changed by kiwa

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

コードチェック前ですが。

PostgreSQLで確認すると、募集期限が空の場合募集期限欄に「0001-01-01 BC」と表示されます。

あと、これはバグとは言い難いんですが、トピック削除確認画面(admin_page_delete_topic)にもイベント特有の項目を反映させたほうが自然じゃないかな、とも思いました。

(in reply to: ↑ 5 ; follow-ups: ↓ 7 ↓ 9 ) 02/24/09 17:33:44 changed by ruikubo

Replying to kiwa:

PostgreSQLで確認すると、募集期限が空の場合募集期限欄に「0001-01-01 BC」と表示されます。

あれっ、ちょっとpostgre環境がないので確認できないのですが、 ユーザページの c_event_detail.tpl でも同様の事象が出ますか?

あと、これはバグとは言い難いんですが、トピック削除確認画面(admin_page_delete_topic)にもイベント特有の項目を反映させたほうが自然じゃないかな、とも思いました。

確かにそうですね、追加のパッチを作りますね。

(in reply to: ↑ 6 ; follow-up: ↓ 8 ) 02/24/09 17:48:23 changed by kiwa

Replying to ruikubo:

あれっ、ちょっとpostgre環境がないので確認できないのですが、 ユーザページの c_event_detail.tpl でも同様の事象が出ますか?

c_event_detailのほうはSQLから呼び出すときに"0001-01-01 BC"を"0000-00-00"に変換するcase文を入れてました。ちょうど検証ついでに修正やったので、こっちは私がコミットしちゃいますね。

(in reply to: ↑ 7 ) 02/24/09 18:04:52 changed by kiwa

Replying to kiwa:

c_event_detailのほうはSQLから呼び出すときに"0001-01-01 BC"を"0000-00-00"に変換するcase文を入れてました。ちょうど検証ついでに修正やったので、こっちは私がコミットしちゃいますね。

r10846 にて修正しました。

02/24/09 18:18:21 changed by ruikubo

  • attachment trunk_delete_topic.patch added.

トピック削除確認画面(#comment5)でイベント固有の項目を表示

(in reply to: ↑ 6 ; follow-up: ↓ 10 ) 02/24/09 18:22:14 changed by ruikubo

Replying to ruikubo:

あと、これはバグとは言い難いんですが、トピック削除確認画面(admin_page_delete_topic)にもイベント特有の項目を反映させたほうが自然じゃないかな、とも思いました。

確かにそうですね、追加のパッチを作りますね。

添付しました。
こちらは /lib/db/ 以下の関数でイベント情報を取り出しているので、postgreの件は問題ないつもりです。

(in reply to: ↑ 9 ) 02/24/09 18:28:26 changed by kiwa

Replying to ruikubo: ありがとうございます、お疲れ様です。取り込みます。

02/24/09 18:37:13 changed by kiwa

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

r10847 にて取り込みました。

(follow-ups: ↓ 13 ↓ 14 ) 02/26/09 14:26:58 changed by kawahara

  • keywords changed from 2.13要望 確認中 to 2.13要望 差し戻し.

r10846 db_admin.phpの修正について

  • CASE, WHEN, ASなどは大文字のほうが望ましいと思います。
  • \' ではなくて ダブルクォートで囲み ' を使ったほうが望ましい気がします。
    2459     if ($GLOBALS['_OPENPNE_DSN_LIST']['main']['dsn']['phptype'] == 'pgsql') {
    2460         $select = 'SELECT ct.*,'
    2461                 . ' ct.name AS topic_name, c.name AS commu_name,'
    2462                 . ' ctc.body, ctc.filename, ctc.image_filename1, ctc.image_filename2, ctc.image_filename3,'
    2463                 . ' case when ct.invite_period = \'0001-01-01 BC\' THEN \'0000-00-00\' ELSE to_char(ct.invite_period,\'YYYY-MM-DD\') END as invite_period';
    2464     } else {
    2465         $select = 'SELECT ct.*,'
    2466                 . ' ct.name AS topic_name, c.name AS commu_name,'
    2467                 . ' ctc.body, ctc.filename, ctc.image_filename1, ctc.image_filename2, ctc.image_filename3';
    2468     }
    
  • = と . が同じ位置にくることが望ましいです。
    2513     if ($GLOBALS['_OPENPNE_DSN_LIST']['main']['dsn']['phptype'] == 'pgsql') {
    2514         $select = "SELECT ct.*," .
    2515                 "ct.name as topic_name,c.name as commu_name," .
    2516                 "m.nickname,ctc.body as body," .
    2517                 "ctc.image_filename1 as image_filename1,ctc.image_filename2 as image_filename2,ctc.image_filename3 as image_filename3," .
    2518                 "ctc.filename as filename,f.original_filename as original_filename," .
    2519                 "case when ct.invite_period = '0001-01-01 BC' THEN '0000-00-00' ELSE to_char(ct.invite_period,'YYYY-MM-DD') END as invite_period";
    2520     } else {
    2521         $select = "SELECT ct.*," .
    2522                 "ct.name as topic_name,c.name as commu_name," .
    2523                 "m.nickname,ctc.body as body," .
    2524                 "ctc.image_filename1 as image_filename1,ctc.image_filename2 as image_filename2,ctc.image_filename3 as image_filename3," .
    2525                 "ctc.filename as filename,f.original_filename as original_filename";
    2526     }
    2527
    2528     $from = " FROM c_commu_topic as ct"
    2529             ." LEFT JOIN c_member as m ON ct.c_member_id = m.c_member_id "
    2530             ." LEFT JOIN c_commu as c ON c.c_commu_id = ct.c_commu_id "
    2531             ." LEFT JOIN c_commu_topic_comment as ctc ON (ctc.c_commu_topic_id = ct.c_commu_topic_id AND ctc.number = 0)"
    2532             ." LEFT JOIN c_file as f ON f.filename = ctc.filename "
    2533             ;
    

(in reply to: ↑ 12 ) 02/26/09 14:57:55 changed by kiwa

Replying to kawahara:

修正やっちゃいます。

(in reply to: ↑ 12 ; follow-up: ↓ 15 ) 02/26/09 15:23:27 changed by kiwa

  • keywords changed from 2.13要望 差し戻し to 2.13要望 確認中.

Replying to kawahara:

r10878 にて、指摘された部分を修正しました。

(in reply to: ↑ 14 ) 02/26/09 15:32:24 changed by kawahara

  • keywords changed from 2.13要望 確認中 to 2.13要望 テスト待ち.

Replying to kiwa:

対応ありがとうございます。

02/26/09 22:43:41 changed by mogi

  • keywords changed from 2.13要望 テスト待ち to 2.13要望.
  • status changed from assigned to closed.
  • resolution set to fixed.